Loading...
Searching...
No Matches
transform.hpp File Reference

## Classes

struct | ranges::iter_transform2_view< Rng1, Rng2, Fun >
struct | ranges::iter_transform_view< Rng, Fun >
struct | ranges::transform2_view< Rng1, Rng2, Fun >
struct | ranges::transform_view< Rng, Fun >
struct | ranges::views::iter_transform_base_fn
struct | ranges::views::iter_transform_fn
struct | ranges::views::transform_base_fn
struct | ranges::views::transform_fn

## Concepts

concept | ranges::views::transformable_range_
| The `transformable_range_` concept.
concept | ranges::views::transformable_range
| The `transformable_range` concept.
concept | ranges::views::transformable_ranges_
| The `transformable_ranges_` concept.
concept | ranges::views::transformable_ranges
| The `transformable_ranges` concept.

## Typedefs

template<typename Rng , typename F >
using | ranges::cpp20::transform_view = ranges::transform_view< Rng, F >